const VDWS_VIRUSDIE_AJAX_URL = "/wp-admin/admin-ajax.php";
var VDWS_VIRUSDIE_AUTH_STATUS = false;
var VDWS_SITE_ID;

const virusdieIOSocket = io.connect('https://virusdie.com').on('api_user', user => {
	if (typeof(user) === 'object') {
		VDWS_VIRUSDIE_AUTH_STATUS = true;
	}
}).on('startscan', (data) => { //старт сканирования
	if (typeof(data.siteid) === 'undefined' || data.siteid !== VDWS_SITE_ID ) return;
	//console.log('startscan', data);
	virusdieRunFunction('updateScanPercent', 0);
}).on('scanning', (data) => { //процесс сканирования
	if (typeof(data.siteid) === 'undefined' || data.siteid !== VDWS_SITE_ID ) return;
	//console.log('scanning', data);
	virusdieRunFunction('updateScanPercent', data.percentage / 100);
}).on('stopscan', (data) => { //закончилось сканирование
	if (typeof(data.siteid) === 'undefined' || data.siteid !== VDWS_SITE_ID ) return;
	//console.log('stopscan', data);
	virusdieRunFunction('checkScan', data.errorcode) ||
	virusdieRunFunction('updateScanData', data);
}).on('changeStatusFirewall', (data) => {
	if (typeof(data.siteid) === 'undefined' || data.siteid !== VDWS_SITE_ID ) return;
	//console.log('changeStatusFirewall', data);
	virusdieRunFunction('clickToSwitcher', 'firewall', data.value);
}).on('changeFirewallLevel', (data) => {
	if (typeof(data.siteid) === 'undefined' || data.siteid !== VDWS_SITE_ID ) return;
	//console.log('changeOptionPatching', data);
	virusdieRunFunction('changeFirewallLevel', 'fwlevel', data.value);
}).on('changeOptionPatching', (data) => {
	if (typeof(data.siteid) === 'undefined' || data.siteid !== VDWS_SITE_ID ) return;
	//console.log('changeOptionPatching', data);
	virusdieRunFunction('clickToSwitcher', 'autopatch', data.value);
}).on('changePeriodScan', (data) => {
	if (typeof(data.siteid) === 'undefined' || data.siteid !== VDWS_SITE_ID ) return;
	//console.log('changePeriodScan', data);
	virusdieRunFunction('clickToSwitcher', 'dailyscan', data.value);
}).on('changeOptionCleanup', (data) => {
	if (typeof(data.siteid) === 'undefined' || data.siteid !== VDWS_SITE_ID ) return;
	//console.log('changeOptionCleanup', data);
	virusdieRunFunction('clickToSwitcher', 'autoscan', data.value);
}).on('changeTariffPlan', (data) => {
	if (typeof(data.siteid) === 'undefined' || data.siteid !== VDWS_SITE_ID ) return;
	//console.log('changeTariffPlan', data);
	virusdieRunFunction('clickToSwitcher', 'tariff', data.value);
}).on('connect', () => {
	console.log('io.connect - ok');
	const request = new XMLHttpRequest();
	request.open("POST", VDWS_VIRUSDIE_AJAX_URL, true);
	request.setRequestHeader("Content-type", "application/x-www-form-urlencoded; charset=UTF-8");
	request.addEventListener("readystatechange", () => {
		if (request.readyState === 4 && request.status === 200) {
			virusdieIOSocket.emit('api_user', request.responseText);
		}
	});
	request.send("action=virusdie_apikey");
});

const virusdieRunFunction = (func, data, sdata) => {
	try {
		eval(func)(data, sdata);
	} catch (e) {
		if (e instanceof TypeError || e instanceof EvalError)
			return null;
	}
};